package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;

import cn.pluss.platform.entity.MerchantDevice;
import cn.pluss.platform.vo.DeviceVO;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MerchantDeviceMapper extends BaseMapper<MerchantDevice> {

    MerchantDevice queryMerchantDevice(MerchantDevice merchantDevice);

    List<MerchantDevice> queryMerchantDeviceList(MerchantDevice merchantDevice);

    void saveMerchantDevice(MerchantDevice merchantDevice);

    void updateMerchantDevice(MerchantDevice merchantDevice);

    void deleteMerchantDevice(MerchantDevice merchantDevice);

    List<MerchantDevice> queryMerchantDevicePage(Map map);

    Integer queryMerchantDevicePageCount(Map map);

    void saveMerchantDeviceBatch(List<MerchantDevice>  merchantDeviceList);
    
    /**
     * 
     * showMerchantDevicePage:(商家设备列表). <br/> 
     *
     * @author Administrator 
     * @param map
     * @return 
     * @since JDK 1.8
     */
    List<DeviceVO>  showMerchantDevicePage(Map<String,Object> map);
    
    /**
     * 
     * showMerchantDevicePageCount:(商家设备数量). <br/> 
     *
     * @author Administrator 
     * @param map
     * @return 
     * @since JDK 1.8
     */
    Integer showMerchantDevicePageCount(Map<String,Object> map);

    Page<DeviceVO> selectMerchantDevicePage(Page<DeviceVO> page, @Param(Constants.WRAPPER) Wrapper<Object> queryWrapper);
}

